SoNormalElement(3)

NAME
SoNormalElement - The SoNormalElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoNormalElement.h>

Inherits SoReplacedElement.

Inherited by SoGLNormalElement.

  Public Member Functions
virtual void init (SoState *state)
int32_t getNum (void) const
FIXME: write doc.
const SbVec3f & get (const int index) const
FIXME: write doc.
const SbVec3f * getArrayPtr (void) const
SbBool areNormalsUnitLength (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const int32_t numNormals, const SbVec3f *const normals, const SbBool normalsAreUnitLength=FALSE)
FIXME: write doc.
static const SoNormalElement * getInstance (SoState *const state)
FIXME: write doc.

  Protected Member Functions
virtual ~SoNormalElement ()

  Protected Attributes
int32_t numNormals
const SbVec3f * normals
SbBool unitLength

  Additional Inherited Members

Detailed Description

The SoNormalElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoNormalElement::~SoNormalElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoNormalElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoNormalElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoNormalElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoNormalElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoNormalElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default values are: for normals NULL, for numNormals 0, and for the unitLength flag FALSE.

Reimplemented from SoReplacedElement.

Reimplemented in SoGLNormalElement.

  const SbVec3f * SoNormalElement::getArrayPtr (void) const
Returns a pointer to the normal array. This method is not part of the OIV API.

Member Data Documentation

  SoNormalElement::numNormals [protected]
FIXME: write doc.

  SoNormalElement::normals [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.